/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/sgx/graphics/gfx_frame.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/graphics/graphics.hpp"

tUINT32
CSGXGraphicsEngine::getScreenWidth() const
{
    return m_ScreenWidth;
}

tUINT32
CSGXGraphicsEngine::getScreenHeight() const
{
    return m_ScreenHeight;
}

void
CSGXGraphicsEngine::setScreenSize(const tINT32 width, const tINT32 height)
{
	m_ScreenWidth = width;
	m_ScreenHeight = height;
}

void
CSGXGraphicsEngine::setDisplaySurface(CSGXDrawSurface *pSurface)
{
	m_pDisplaySurface = pSurface;
	m_ScreenWidth = m_pDisplaySurface->getWidth();
	m_ScreenHeight = m_pDisplaySurface->getHeight();
}

CSGXDrawSurface *
CSGXGraphicsEngine::getDisplaySurface() const
{
	return m_pDisplaySurface;
}

void
CSGXGraphicsEngine::setExtendedSurface(CSGXDrawSurface *pSurface)
{
	m_pExtendedSurface = pSurface;
}

CSGXDrawSurface *
CSGXGraphicsEngine::getExtendedSurface() const
{
	return m_pExtendedSurface;
}



tUINT32
CSGXGraphicsEngine::getViewportWidth() const
{
	const sgxViewport &viewport = m_Viewport[getCurrentScene()].getState();
	return (tUINT32)viewport.width;
}

tUINT32
CSGXGraphicsEngine::getViewportHeight() const
{
	const sgxViewport &viewport = m_Viewport[getCurrentScene()].getState();
	return (tUINT32)viewport.height;
}

void 
CSGXGraphicsEngine::setRenderBuffer(tUINT32 id)
{
	SGX_UNUSED(id);
}

